SystemOrganization addCategory: #Croquis!

Object subclass: #Croquis
	instanceVariableNames: 'superclassOfOutputClass correctPluralToSingular'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Croquis'!

!Croquis methodsFor: 'accessing' stamp: 'HwaJong 12/1/2012 15:10'!
correctPluralToSingular
^correctPluralToSingular! !

!Croquis methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/1/2012 14:57'!
createClassFromClipboardText
self createClassFromNoun: ((Clipboard clipboardText) asString)! !

!Croquis methodsFor: 'as yet unclassified' stamp: 'HwaJong 12/1/2012 15:10'!
createClassFromNoun: aString
|words className|
words := aString subStrings: ' -	.,''"!!?'.
self correctPluralToSingular
	ifTrue: [(words last endsWith: 's') ifTrue: [words at: words size modify: [:str| str allButLast]]].

className := (String streamContents: [:stream| ((words) collect: #capitalized) do: [:each| stream nextPutAll: each]]) asSymbol.

(self superclassOfOutputClass) subclass: className
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: (self outputSystemCategory).! !

!Croquis methodsFor: 'initialize-release' stamp: 'HwaJong 12/1/2012 15:10'!
initialize 
super initialize.
superclassOfOutputClass := Object.
correctPluralToSingular := false.! !

!Croquis methodsFor: 'accessing' stamp: 'HwaJong 12/1/2012 14:39'!
outputSystemCategory
^'Geneo2'! !

!Croquis methodsFor: 'accessing' stamp: 'HwaJong 12/1/2012 14:51'!
superclassOfOutputClass
^superclassOfOutputClass! !

!Croquis methodsFor: 'accessing' stamp: 'HwaJong 12/1/2012 14:51'!
superclassOfOutputClass: aClass
superclassOfOutputClass := aClass! !
